classification
Title: test_warnings.py EnvironmentVariableTests is a bad test
Type: enhancement Stage:
Components: Tests Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, fwierzbicki, pjenvey, tebeka
Priority: normal Keywords: patch

Created on 2012-05-23 21:50 by tebeka, last changed 2012-07-20 17:56 by brett.cannon. This issue is now closed.

Files
File name Uploaded Description Edit
tw.diff tebeka, 2012-05-23 21:50 Patch file review
Messages (3)
msg161463 - (view) Author: Miki Tebeka (tebeka) * Date: 2012-05-23 21:50
EnvironmentVariableTests depends on format of string representation of objects.

While working on Jython 2.7 the test failed due to:
    AssertionError: "[u'ignore::DeprecationWarning']" != "['ignore::DeprecationWarning']"

Attached is a patch to get the output of child process via marshal and also use set so order is not important.
msg161468 - (view) Author: Philip Jenvey (pjenvey) * (Python committer) Date: 2012-05-23 22:26
Jython's sys.warnoptions should probably just contain strs instead of unicode. Otherwise I suspect unicode values could break the warnings module's usage of it
msg165961 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-07-20 17:56
Phil said it's Jython's problem, so I won't worry about this on CPython's side.
History
Date User Action Args
2012-07-20 17:56:24brett.cannonsetstatus: open -> closed
resolution: wont fix
messages: + msg165961
2012-05-29 01:15:05fwierzbickisetnosy: + fwierzbicki
2012-05-23 22:26:47pjenveysetnosy: + pjenvey
messages: + msg161468
2012-05-23 22:06:48pitrousetnosy: + brett.cannon

versions: + Python 3.2, Python 3.3
2012-05-23 21:50:47tebekacreate